Subject: [PATCH v3 20/20] arm: mach-pxa: Decrement the power supply's device reference counter

From: [email-masked] (Pavel Machek)
Date: Wed, 11 Feb 2015 23:12:33 +0100

On Mon 2015-02-09 11:07:12, Krzysztof Kozlowski wrote:
> On pi?, 2015-02-06 at 15:59 +0100, Pavel Machek wrote:
> > On Fri 2015-02-06 15:43:08, Krzysztof Kozlowski wrote:
> > > On pi?, 2015-02-06 at 14:49 +0100, Pavel Machek wrote:
> > > > On Fri 2015-01-30 15:47:58, Krzysztof Kozlowski wrote:
> > > > > Use power_supply_put() to decrement the power supply's device reference
> > > > > counter.
> > > > > 
> > > > > Signed-off-by: Krzysztof Kozlowski <[email-masked]>
> > > > > Reviewed-by: Bartlomiej Zolnierkiewicz <[email-masked]>
> > > > > Reviewed-by: Sebastian Reichel <[email-masked]>
> > > > 
> > > > 11,13,20 nothing obviously wrong. But I'm not sure if I studied them
> > > > closely enough to warrant an ACK.
> > > > 
> > > > It would be good to get this into kernel -- I seen no bad comments,
> > > > and it is not going to improve without merge into mainline.
> > > 
> > > Thanks for looking at patchset. It would be really nice if this could be
> > > tested for some time in linux-next. Such testing would help a lot. But I
> > > need acks from various maintainers for that.
> > 
> > Actually, you don't. The various maintainers clearly don't care at
> > this point. They had enough time. So you select one maintainer you
> > want to push this through, and you push it.
> > 
> > Someone may complain, so you'll solve the feedback...
> 
> I am thinking also on another way of solving this huge-patch problem:
> 1. Mark all drivers broken (CONFIG_BROKEN).
> 2. Introduce change in power_supply_register() API. Broken drivers
>    will fail to build.
> 3. Convert broken drivers to new API incrementally (one driver
>    per patch) marking them also non-broken.
> 
> This would be much easier to review but also this would break
> build-bisectability for drivers and some platforms using them (like
> OLPC, compal-laptop, ACPI).

It is easy enough to review as it is, playing with CONFIG_BROKEN will
not improve it. Just push the patch...

> I pushed the patchset here:
> https://git.linaro.org/people/marek.szyprowski/linux-srpol.git/shortlog/refs/heads/v3.19-next-power-supply-core-ownership
> (actually this is v4: added acks/reviews and minor issue fixed; merge
> window has opened so I'll wait with sending this to LKML).

Great... now you just need one of maintainers to merge it...

POWER SUPPLY CLASS/SUBSYSTEM and DRIVERS
M:      Sebastian Reichel <[email-masked]>
M:      Dmitry Eremin-Solenikov <[email-masked]>
M:      David Woodhouse <[email-masked]>
									Pavel

-- 
(english) http://www.livejournal.com/~pavelmachek
(cesky, pictures) http://atrey.karlin.mff.cuni.cz/~pavel/picture/horses/blog.html